Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class LogScaling

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.FeatureConstruction
              edu.udo.cs.miningmart.operator.Scaling
                  edu.udo.cs.miningmart.operator.LogScaling

public class LogScaling
extends Scaling

Version:
  $Id: LogScaling.java,v 1.6 2006/04/11 14:10:12 euler Exp $
Author:
  Timm Euler

Constructor Summary
`LogScaling()`

Method Summary
`java.lang.String` | `generateSQL(Column targetAttributeColumn)` Abstract method to be implemented by all subclasses.
`Value` | `getLogBase()`

Methods inherited from class edu.udo.cs.miningmart.operator.FeatureConstruction
`compileStatement, createStatement, estimateStatistics, execute, generateColumnForOp, getCurrentLoopNumber, getTheInputConcept, getTheOutputAttribute, getTheOutputAttribute, getTheTargetAttribute, getTheTargetAttribute, load, writeResults`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getSingleParameter, getSingleParameter, getStep, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogScaling

    public LogScaling()

Method Detail

### getLogBase

    public Value getLogBase()
                     throws M4CompilerError

  Throws:
    `M4CompilerError`

### generateSQL

    public java.lang.String generateSQL(Column targetAttributeColumn)
                                 throws M4CompilerError

  Description copied from class: `FeatureConstruction`
  Abstract method to be implemented by all subclasses. In this method the SQL definition for the Column which this operator creates is created.

  Specified by:
    `generateSQL` in class `Scaling`
  Returns:
    An SQL definition for a scaled column.
  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005